Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.exec.environment
Class EnvironmentUtils

    java.lang.Object
      org.apache.commons.exec.environment.EnvironmentUtils

    public class EnvironmentUtils

extends Object

Wrapper for environment variables.

Method Summary
`static void` | `addVariableToEnvironment(Map environment, String keyAndValue)` Add a key/value pair to the given environment.
`static Map` | `getProcEnvironment()` Find the list of environment variables for this process.
`static String[]` | `toStrings(Map environment)` Get the variable list as an array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toStrings

    public static String[] toStrings(Map environment)

  Get the variable list as an array.

  Parameters:
    `environment` - the environment to use, may be `null`
  Returns:
    array of key=value assignment strings or `null` if and only if the input map was `null`

### getProcEnvironment

    public static Map getProcEnvironment()
                                  throws IOException

  Find the list of environment variables for this process. The returned map preserves the casing of a variable's name on all platforms but obeys the casing rules of the current platform during lookup, e.g. key names will be case-insensitive on Windows platforms.

  Returns:
    a map containing the environment variables, may be empty but never `null`
  Throws:
    `IOException` - the operation failed

### addVariableToEnvironment

    public static void addVariableToEnvironment(Map environment,
                                                String keyAndValue)

  Add a key/value pair to the given environment. If the key matches an existing key, the previous setting is replaced.

  Parameters:
    `environment` - the current environment
    `keyAndValue` - the key/value pair

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.